Skip to content

Get Export Custom Object Job Status

GET /bulk/v1/customobjects/{apiName}/export/{exportId}/status.json

Permissions Read-Only Custom Object

Build a request and mock the response

Method: GET
Path: /bulk/v1/customobjects/{apiName}/export/{exportId}/status.json
Tag: Bulk Export Custom Objects
Operation ID: getExportCustomObjectsStatusUsingGET

Returns status of an export job. Job status is available for 30 days after Completed or Failed status was reached. Required Permissions: Read-Only Custom Object

Formats

  • Request: application/json
  • Response: application/json

Request

Path parameters

Name Type Required Description Constraints
apiName string Yes API Name of the custom object for the export batch job.
exportId string Yes Id of export batch job.

Example request

GET {{base_url}}/bulk/v1/customobjects/{{apiName}}/export/{{exportId}}/status.json
Accept: application/json

Responses

200 — OK

Schema: model: ResponseOfExportResponse

Generated example

{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "requestId": "123",
  "result": [
    {
      "createdAt": "2026-01-15T10:30:00Z",
      "errorMsg": "string",
      "exportId": "123",
      "fileSize": 123,
      "fileChecksum": "string",
      "finishedAt": "2026-01-15T10:30:00Z",
      "format": "string",
      "numberOfRecords": 123,
      "queuedAt": "2026-01-15T10:30:00Z",
      "startedAt": "2026-01-15T10:30:00Z",
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Source

Generated from swagger-mapi.json.

Generated examples are inferred from the schema. They are illustrative and may not be valid production payloads.